Subject: bug#26315: 24.4; mail-header-parse-addres/ietf-drums-parse-address fails on UTF-8 string

From: Łukasz Stelmach <[email-masked]>
Date: Fri, 31 Mar 2017 08:55:47 +0200 (CEST)

Dnia 30 marca 2017 o 22:32 Eli Zaretskii <[email-masked]> napisał(a):
> > From: Łukasz Stelmach <[email-masked]>
> > Date: Thu, 30 Mar 2017 21:17:00 +0200
> > 
> > Running the following lisp code:
> > 
> >     (mail-header-parse-address "Łukasz Stelmach <[email-masked]>")
> > 
> > yields the error message:
> > 
> >     Unknown symbol: Ł
> > 
> > and the invalid result:
> > 
> >     ("[email-masked]" . "ukasz Stelmach")
> > 
> > As far as I can tell this happens if the first character of the
> > address
> > string is an UTF-8 (non-ascii?) one.
> 
> Why are you using that function?  It assumes the non-ASCII characters
> were rfc2047-encoded.
> 
> I suggest to use mail-extract-address-components instead.

It's not me using it but Gnus in gnus-summary-limit-to-author and a few
other places. I receive the "Unknown symbol" when signing with gnupg,
too.

-- 
Miłego dnia,
Łukasz Stelmach